Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004891TestLinkDatabase MS-SQLpublic2012-01-26 10:082012-09-01 19:58
ReporterWLanger 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoft SQL Server 2008 R2OSMicrosoft Server 2008 R2OS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004891: Custom fields tables (custom_fields, custom*) Column data type definition differs between mySQL and MSSQL
DescriptionThere might be an outdated column definition in Testlink version 1.9.3, table custom_fields.
Two column data types (of column possible_values and default_value) differ between the MSSQL version and the mySQL version (see additional information).
I assume that varchar(4000) is the correct data type since this one is also mentioned in the alter data base schema script testlink-1.9.3\install\sql\alter_tables\1.9\mssql\DB.1.3\step1\db_schema_update.sql
Steps To Reproducecheck sql scripts - no state needs to be reproduced
Additional Informationtestlink-1.9.3\install\sql\mssql\testlink_create_tables.sql

CREATE TABLE /*prefix*/custom_fields (
    id int IDENTITY(1,1) NOT NULL,
    name char(64) NOT NULL default '',
    label char(64) NOT NULL default '',
    type smallint NOT NULL default '',
    possible_values char(255) NOT NULL default '',
    default_value char(255) NOT NULL default '',
    valid_regexp char(255) NOT NULL default '',
    length_min int NOT NULL default '',
    length_max int NOT NULL default '',
    show_on_design tinyint NOT NULL CONSTRAINT /*prefix*/DF_custom_fields_show_on_design DEFAULT ((1)),
    enable_on_design tinyint NOT NULL CONSTRAINT /*prefix*/DF_custom_fields_enable_on_design DEFAULT ((1)),
    show_on_execution tinyint NOT NULL CONSTRAINT /*prefix*/DF_custom_fields_show_on_execution DEFAULT ((0)),
    enable_on_execution tinyint NOT NULL CONSTRAINT /*prefix*/DF_custom_fields_enable_on_execution DEFAULT ((0)),
    show_on_testplan_design tinyint NOT NULL CONSTRAINT /*prefix*/DF_custom_fields_show_on_testplan_design DEFAULT ((0)),
    enable_on_testplan_design tinyint NOT NULL CONSTRAINT /*prefix*/DF_custom_fields_enable_on_testplan_design DEFAULT ((0)),
 CONSTRAINT /*prefix*/PK_custom_fields PRIMARY KEY CLUSTERED
(
    id ASC
) ON [PRIMARY]
) ON [PRIMARY];



testlink-1.9.3\install\sql\mysql\testlink_create_tables.sql:

CREATE TABLE /*prefix*/custom_fields (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `label` varchar(64) NOT NULL default '' COMMENT 'label to display on user interface' ,
  `type` smallint(6) NOT NULL default '0',
  `possible_values` varchar(4000) NOT NULL default '',
  `default_value` varchar(4000) NOT NULL default '',
  `valid_regexp` varchar(255) NOT NULL default '',
  `length_min` int(10) NOT NULL default '0',
  `length_max` int(10) NOT NULL default '0',
  `show_on_design` tinyint(3) unsigned NOT NULL default '1' COMMENT '1=> show it during specification design',
  `enable_on_design` tinyint(3) unsigned NOT NULL default '1' COMMENT '1=> user can write/manage it during specification design',
  `show_on_execution` tinyint(3) unsigned NOT NULL default '0' COMMENT '1=> show it during test case execution',
  `enable_on_execution` tinyint(3) unsigned NOT NULL default '0' COMMENT '1=> user can write/manage it during test case execution',
  `show_on_testplan_design` tinyint(3) unsigned NOT NULL default '0' ,
  `enable_on_testplan_design` tinyint(3) unsigned NOT NULL default '0' ,
  PRIMARY KEY (`id`),
  UNIQUE KEY /*prefix*/idx_custom_fields_name (`name`)
) DEFAULT CHARSET=utf8;

TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MSSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0016306)
fman (administrator)
2012-01-29 15:08

on all cfield* tables value field has to be changed to 4000
(0017247)
fman (administrator)
2012-09-01 19:58

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-01-26 10:08 WLanger New Issue
2012-01-29 15:08 fman Note Added: 0016306
2012-01-29 15:08 fman Assigned To => fman
2012-01-29 15:08 fman Status new => assigned
2012-01-29 15:09 fman Summary Column data type definition differs between mySQL and MSSQL => Custom fields tables (custom_fields, custom*) Column data type definition differs between mySQL and MSSQL
2012-01-29 15:10 fman Tag Attached: TO BE FIXED on 2.0
2012-08-18 12:29 fman Task Workflow Status => READY FOR TESTING
2012-08-18 12:29 fman Status assigned => resolved
2012-08-18 12:29 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-18 12:29 fman Resolution open => fixed
2012-09-01 19:58 fman Note Added: 0017247
2012-09-01 19:58 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker